/* MyOpenGLView */

#import <Cocoa/Cocoa.h>
#import <OpenGL/gl.h>
#import <OpenAL/al.h>
#import <OpenAL/alc.h>

// Declarations of the variables 
@interface MyOpenGLView : NSOpenGLView
{
	NSPoint mousePoint ;
	NSPoint mouseTrack ;
	float colorIntensity ;
	NSDate* startTime ;
    NSTimer* timer ;
	
	NSPoint location;
	BOOL dragging;
    NSPoint lastDragLocation;
	
	IBOutlet NSTextField *distanceA;
    IBOutlet NSTextField *distanceB;
    IBOutlet NSTextField *distanceC;
    IBOutlet NSTextField *distanceD;
	IBOutlet NSTextField *LeftChannel;
	IBOutlet NSTextField *RightChannel;
	IBOutlet NSTextField *Pitch;
	IBOutlet NSTextField *zDepth;
}

// Declarations of the methods used in the m file

- (id) initWithCoder: (NSCoder*) coder ;
- (void) reDraw ;
- (void) dealloc ;
- (void) mouseMoved: (NSEvent *) theEvent ;
- (void) mouseDown: (NSEvent *) theEvent ;
- (void) mouseDragged: (NSEvent *) theEvent ;
- (void) mouseUp: (NSEvent *) theEvent ;
- (void) drawRect: (NSRect) bounds ;
- (void) playSound ;
- (void) movePoint ;
- (void) initOpenAL ;
- (BOOL)acceptsFirstResponder ;
- (BOOL)becomeFirstResponder ;
- (BOOL)resignFirstResponder ;
- (void) set: (int) inTag :(float) inDistance;
- (void) xStatus: (float) inStat;
- (void) yStatus: (float) inStat;
- (void) zStatus: (float) inStat;
- (void) setIso: (float) inStat;
- (void) power: (float) inStat;
- (void) awakeFromNib;

@end
